Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/21/2021 in all areas

  1. Tomorrow I will try it. Thank you so much for everything.
    1 point
  2. Glad to help Here is a version to rotate all objects with a rotation property: (defun c:foo (/ a e o s) (if (and (setq e (car (entsel "\nPick something to match rotation: "))) (setq a (cdr (assoc 50 (entget e)))) (setq s (ssget ":L")) ) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (if (vlax-property-available-p (setq o (vlax-ename->vla-object e)) 'rotation) (vla-put-rotation o a) ) ) ) (princ) )
    1 point
  3. @ronjonp & @tombu many thanks to both of you and your valuable contributions ... both of your suggestions work perfectly ! thanks again
    1 point
  4. Now I'll agree there might need to be some testing on ink and type of paper. My thought was ink costs more than paper.
    1 point
  5. This has nothing to do with a higher power, but it will match the ANGLE of a picked block to a selection. (defun c:foo (/ a e s) (if (and (setq e (car (entsel "\nPick a block to match rotation: "))) (setq a (cdr (assoc 50 (entget e)))) (setq s (ssget ":L" '((0 . "INSERT")))) ) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (vla-put-rotation (vlax-ename->vla-object e) a) ) ) (princ) )
    1 point
×
×
  • Create New...